function [Drag_Matrix] = Assing_Drag(Actin, Myosin, Prop)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

Cluster_Matrix = Prop.cluster;
Drag_Matrix = Cluster_Matrix;

Adrag = Actin.drag;
Mdrag = Myosin.drag;



for i = 1:max(max(Cluster_Matrix)),
    [r, c] = find(Cluster_Matrix == i);
    Fiber_Sum = sum(diff(sort(r)) > 0) + 1;
    Node_Sum = sum(diff(sort(c)) > 0) + 1;
    Drag_Matrix(Cluster_Matrix == i) = (Adrag*Fiber_Sum + Mdrag*Node_Sum);
end




end

