function [Cluster_Matrix] = Find_Conn(Conn_Matrix)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
if sum(sum(Conn_Matrix)) == 0,
    Cluster_Matrix = zeros(size(Conn_Matrix));
else
    
    
    Cluster_Matrix = zeros(size(Conn_Matrix));    
    [r, c] = find(Conn_Matrix == 1); %find the position of the connection
    labelC = zeros(size(c));
    labelR = zeros(size(r));

%Label the columns
    filtc = [c(diff(c) > 0); c(end)]; %The columns which are nonzero
    for i = 1:length(filtc),
        labelC(c == filtc(i)) = i; %The columns which are non zero relabeled consecutively from 1
    end

%Label the rows
    tmpr = sort(r);
    filtr = [tmpr(diff(tmpr) > 0); tmpr(end)];% the rows which are nonzero
    for j = 1:length(filtr),
        labelR(r == filtr(j)) = j;
    end


    for kr = 1:length(filtr),
    %label all columns that share a row with the same label
        tmplabel = labelC(r == filtr(kr)); % set of columns that share the same row
        for kc = 1:length(tmplabel), %for each column from the set relabel all different columns with one number, thus connecting them
            labelC(labelC == tmplabel(kc)) = min(tmplabel); %relabel those columns that share a row
        end
    end

%Relabel the clusters
    Cluster_label = labelC;
    tmpc = sort(labelC);
    filt_labelC = [tmpc(diff(tmpc) > 0); tmpc(end)];
    for li = 1:length(filt_labelC),
        Cluster_label(labelC == filt_labelC(li)) = li;
    end

    Cluster_Matrix(Conn_Matrix == 1) = Cluster_label;
end


end

